@charset "utf-8";

.form-layout--contacto {
	display: flex;
	justify-content: center;
	max-width: 1200px;
	margin: 0 auto;
}

.form-layout--soporte {
	padding-top: 10px;
}

.form-layout input[type=radio] {
	margin-right: 10px;
}

.form-title {
	color: #315b9d;
	width: 90%;
	max-width: 600px;
	display: block;
	margin: 0 auto;
	text-align: center;
	font-size: 16px;
	font-weight: 400;
}

.form-body {
	width: 90%;
	max-width: 600px;
	padding: 20px 0;
	margin: 0 auto;
	display: flex;
	flex-direction: column;
	justify-content: center;
}

.form-layout--contacto .form-body {
	padding: 0 0 80px;
}

.form-required {
	display: flex;
	flex-direction: column;
	position: relative;
}

.form-required::before {
	position: absolute;
	content: "Requerido";
	right: 8px;
	top: 8px;
	font-size: .7em;
	color: #afafaf;
	padding: 0 3px;
	border-radius: 5px;
	line-height: 1.5em;
	z-index: 2;
}

.form-row {
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: row;
}

.form-row--subtitle {
	padding: 20px 8px;
}

.form-row--radio {
	padding: 20px 0;
}

.form-row--submit {
	justify-content: center;
}

.form-layout--soporte .form-row--submit {
	margin-top: 30px;
}

.form-subheading {
	color: #315b9d;
	font-size: 20px;
	font-family: robotoM;
	text-align: center;
}

.form-field {
	height: 34px;
	width: 100%;
	border: 0 #bad3e1 solid;
	border-radius: 7px;
	padding: 5px 12px;
	transition: all .2s ease;
	margin: 5px 1px;
	color: #315b9d;
	font-size: 14px;
	font-family: Arial, sans-serif;
}

.form-field:hover,
.form-textarea:hover {
	background-color: #edf7ff;
	transform: scale(1.02);
}

.form-field::placeholder,
.form-textarea::placeholder {
	color: #888;
	font-size: 11px;
	text-transform: uppercase;
	font-family: robotoM;
}

.form-textarea {
	height: 150px;
	padding-top: 8px;
	padding-bottom: 8px;
	resize: vertical;
	line-height: 1.4em;
}

.form-layout--soporte .form-field,
.form-layout--soporte .form-textarea {
	border: none;
	border-bottom: 1px #a0cce6 solid;
	border-radius: 0;
	padding: 5px 8px;
}

.form-layout--soporte .form-field:hover,
.form-layout--soporte .form-textarea:hover {
	background-color: #e6fcf2;
	transform: none;
}

.form-row > .form-field,
.form-row > .form-required {
	width: 50%;
}

.form-row > .form-required .form-field {
	width: 100%;
}

.form-row--date {
	justify-content: center;
	align-items: center;
}

.form-row--date .form-field {
	width: 25%;
	min-width: 130px;
	margin-right: 8px;
}

.form-date-label {
	width: 75%;
	font-size: 14px;
}

.form-button {
	display: flex;
	align-items: center;
	justify-content: center;
	margin-top: 15px;
	width: 90%;
	height: 40px;
	max-width: 150px;
	background-color: #3d639e;
	border-radius: 5px;
	color: #fff;
	font-size: 16px;
	border: 1px #3d639e solid;
	transition: all .3s ease;
	cursor: pointer;
}

.form-layout--soporte .form-button {
	border-radius: 0;
}

.form-button:hover {
	border: 1px #fff solid;
	box-shadow: 0 0 8px rgba(0, 0, 0, .4);
	background-color: #294d86;
}

.form-privacy {
	display: block;
	font-size: 12px;
	text-align: center;
	margin: 20px;
}

.form-privacy a {
	color: #797979;
}

.form-loader {
	display: flex;
	position: fixed;
	top: 92px;
	right: 0;
	bottom: 0;
	left: 0;
	background-color: rgba(229, 229, 229, .58);
	z-index: 100;
	align-items: center;
	justify-content: center;
}

.form-loader.noshow {
	display: none;
}

.form-loader__container {
	display: block;
	position: relative;
	transform: none;
	width: 250px;
	background-color: #fff;
	border-radius: 20px;
	margin: 0;
	text-align: center;
	padding: 10px;
	transform: translateY(-10%);
}

@media screen and (max-width: 776px) {
	.form-loader {
		top: 92px;
	}
}

.form-loader__image {
	width: 200px;
	margin-right: auto;
	margin-left: auto;
}

.form-loader__text {
	font-weight: bold;
	color: #315b9d;
}

@media(max-width:600px) {
	.form-title {
		font-size: 6vw;
		margin: 15vw auto 4vw;
		text-align: left;
	}

	.form-row--radio {
		flex-direction: column;
	}

	.form-row--radio label {
		width: 100%;
		padding: 2vw;
	}
}
